Get validator rewards metrics
curl --request GET \
--url https://api.rated.network/v1/celestia/validators/{validator_address}/rewards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/celestia/validators/{validator_address}/rewards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/celestia/validators/{validator_address}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "https://api.rated.network//v1/celestia/validators/{validator_address}/rewards?limit=10&offset=30",
"pages": 10,
"previous": "https://api.rated.network//v1/celestia/validators/{validator_address}/rewards?limit=10&offset=10",
"results": [
[
{
"accountAddress": "celestia1hjadhj9nqzpye2vkmkz4thahhd0z8dh3eer4jx",
"commissionRate": 0.05,
"consensusPubkey": "GPhLy9RdAJq/SqyxX0M4Wt5hqQ+Xx5yZqzXu4v2cMp4=",
"day": "2025-01-21",
"fromBlockNumber": 3636438,
"toBlockNumber": 3652841,
"totalCommissionRewards": 1822.0815928513198,
"totalDelegationRewards": 9110.4079642566,
"validator": "celestiavaloper1qxeza0sa037u35p3ze8p7ka7emajvydnyjlp07",
"validatorMoniker": "Chain Nodes"
}
]
]
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Rewards
Get validator rewards metrics
This endpoint returns the historical rewards earned by a single validator.
GET
/
v1
/
celestia
/
validators
/
{validator_address}
/
rewards
Get validator rewards metrics
Using this endpoint, you can query the historical daily rewards of a validator by their unique
validator address. totalDelegationRewards are the Celestia rewards, denominated in TIA, which delegators are entitled to receive from the validator they have staked to. This includes the rewards towards a validator if they have self-staked/self-bonded. The rewards from the commission a validator charges are given by the totalCommissionRewards.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
The number of results returned per page
The number of results to skip before starting to return
Start date
Example:
"2023-01-01"
End date
Example:
"2023-12-31"